Bug 1282978 - [abrt] WARNING: CPU: 2 PID: 111 at drivers/thunderbolt/switch.c:95 tb_wait_for_port+0x34f/0x3e0 [thunderbolt]() [thunderbolt] [NEEDINFO]
[abrt] WARNING: CPU: 2 PID: 111 at drivers/thunderbolt/switch.c:95 tb_wait_fo...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5deef0c9bef854e0df85fd5e3bd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 18:33 EST by Christopher Beland
Modified: 2016-10-26 13:00 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 13:00:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (beland)


Attachments (Terms of Use)
File: dmesg (87.95 KB, text/plain)
2015-11-17 18:34 EST, Christopher Beland
no flags Details

  None (edit)
Description Christopher Beland 2015-11-17 18:33:59 EST
Additional info:
reporter:       libreport-2.6.3
WARNING: CPU: 2 PID: 111 at drivers/thunderbolt/switch.c:95 tb_wait_for_port+0x34f/0x3e0 [thunderbolt]()
thunderbolt 0000:05:00.0: 0:0: does not have PHY
Modules linked in: iTCO_wdt iTCO_vendor_support joydev crct10dif_pclmul nls_utf8 crc32_pclmul hfsplus crc32c_intel snd_hda_codec_hdmi snd_hda_codec_cirrus applesmc snd_hda_codec_generic input_polldev btusb snd_hda_intel btrtl btbcm btintel bluetooth i2c_i801 snd_hda_codec snd_hda_core snd_hwdep snd_seq uvcvideo snd_seq_device videobuf2_vmalloc videobuf2_core snd_pcm rfkill videobuf2_memops v4l2_common videodev bcm5974 thunderbolt snd_timer media bcma snd lpc_ich mei_me shpchp mei soundcore sbs sbshc acpi_als kfifo_buf industrialio apple_bl nfsd auth_rpcgss nfs_acl lockd grace sunrpc uas usb_storage hid_apple i915 i2c_algo_bit drm_kms_helper drm video
CPU: 2 PID: 111 Comm: kworker/u16:4 Not tainted 4.2.5-300.fc23.x86_64 #1
Hardware name: Apple Inc. MacBookAir5,2/Mac-2E6FAB96566FE58C, BIOS MBA51.88Z.00EF.B02.1211271028 11/27/2012
Workqueue: thunderbolt tb_handle_hotplug [thunderbolt]
 0000000000000000 000000007318571a ffff88026319bc78 ffffffff8177280a
 0000000000000000 ffff88026319bcd0 ffff88026319bcb8 ffffffff8109e4b6
 ffff88026319bcd8 0000000000000000 ffff88026565ec50 0000000000000000
Call Trace:
 [<ffffffff8177280a>] dump_stack+0x45/0x57
 [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
thunderbolt 0000:05:00.0: resetting error on 0:b.
 [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa032404f>] tb_wait_for_port+0x34f/0x3e0 [thunderbolt]
 [<ffffffff814cc7fc>] ? __dev_printk+0x3c/0x80
 [<ffffffffa03233bd>] tb_scan_port+0x5d/0x1a0 [thunderbolt]
 [<ffffffffa03236ba>] tb_handle_hotplug+0x1ba/0x320 [thunderbolt]
 [<ffffffff810b650e>] process_one_work+0x19e/0x3f0
 [<ffffffff810b67ae>] worker_thread+0x4e/0x450
 [<ffffffff810b6760>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810bc8b8>] kthread+0xd8/0xf0
 [<ffffffff810b07e0>] ? SyS_setresgid+0x70/0x190
 [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817795df>] ret_from_fork+0x3f/0x70
 [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160

Potential duplicate: bug 1187468
Comment 1 Christopher Beland 2015-11-17 18:34:06 EST
Created attachment 1095752 [details]
File: dmesg
Comment 2 Christopher Beland 2016-03-03 11:37:06 EST
Description of problem:
Reported after startup and login. This is on a Macbook Air with USB Ethernet plugged in.  (There's nothing in the Thunderbolt port.)

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.3-300.fc23.x86_64 root=UUID=130ba56a-e253-4a10-8b93-711e70a15fcd ro vconsole.font=latarcyrheb-sun16 vconsole.keymap=us rhgb quiet LANG=en_US.UTF-8
kernel:         4.4.3-300.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 109 at drivers/thunderbolt/switch.c:95 tb_wait_for_port+0x34f/0x3e0 [thunderbolt]()
thunderbolt 0000:05:00.0: 0:0: does not have PHY
Modules linked in: input_polldev snd_hda_core snd_hwdep btusb snd_seq btrtl snd_seq_device btbcm btintel snd_pcm bluetooth i2c_i801 uvcvideo rfkill bcm5974 videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core v4l2_common videodev media lpc_ich snd_timer thunderbolt bcma mei_me snd mei soundcore shpchp acpi_als kfifo_buf industrialio sbs sbshc tpm_tis apple_bl tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc uas usb_storage hid_apple i915 asix usbnet mii i2c_algo_bit drm_kms_helper drm fjes video
CPU: 2 PID: 109 Comm: kworker/u16:4 Not tainted 4.4.3-300.fc23.x86_64 #1
Hardware name: Apple Inc. MacBookAir5,2/Mac-2E6FAB96566FE58C, BIOS MBA51.88Z.00EF.B02.1211271028 11/27/2012
Workqueue: thunderbolt tb_handle_hotplug [thunderbolt]
 0000000000000286 00000000d17d2309 ffff880263217cd8 ffffffff813b4b6e
 ffff880263217d20 ffffffffa038160e ffff880263217d10 ffffffff810a40f2
 0000000000000000 ffff8802656cb180 0000000000000000 0000000000000200
Call Trace:
 [<ffffffff813b4b6e>] dump_stack+0x63/0x85
 [<ffffffff810a40f2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a418c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa037d12f>] tb_wait_for_port+0x34f/0x3e0 [thunderbolt]
 [<ffffffffa037c4ad>] tb_scan_port+0x5d/0x1a0 [thunderbolt]
 [<ffffffffa037c7a2>] tb_handle_hotplug+0x1b2/0x320 [thunderbolt]
 [<ffffffff810bc576>] process_one_work+0x156/0x430
 [<ffffffff810bc89e>] worker_thread+0x4e/0x450
 [<ffffffff810bc850>] ? process_one_work+0x430/0x430
 [<ffffffff810c2628>] kthread+0xd8/0xf0
 [<ffffffff810c2550>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff8179f4cf>] ret_from_fork+0x3f/0x70
 [<ffffffff810c2550>] ? kthread_worker_fn+0x160/0x160
Comment 3 Patrick Klingemann 2016-07-09 13:48:51 EDT
Description of problem:
boot up and log in an administrator

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.7.1
cmdline:        BOOT_IMAGE=/vmlinuz-4.2.3-300.fc23.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rd.luks.uuid=luks-b5bab63e-4873-40d8-80dd-d0ff1f6574c8 rhgb quiet LANG=en_US.UTF-8
kernel:         4.2.3-300.fc23.x86_64
reproducible:   The problem occurs regularly
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 141 at drivers/thunderbolt/switch.c:95 tb_wait_for_port+0x34f/0x3e0 [thunderbolt]()
thunderbolt 0000:07:00.0: 0:0: does not have PHY
Modules linked in: snd_hda_codec_generic iTCO_vendor_support(+) acpi_cpufreq(-) x86_pkg_temp_thermal snd_hda_intel coretemp kvm_intel snd_hda_codec applesmc(+) input_polldev snd_hda_core snd_hwdep kvm snd_seq uvcvideo snd_seq_device videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev snd_pcm bcm5974 media snd_timer mei_me snd i2c_i801 lpc_ich thunderbolt mei soundcore acpi_als sbs kfifo_buf apple_gmux sbshc shpchp industrialio apple_bl nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt hid_apple nouveau i915 mxm_wmi wmi ttm crct10dif_pclmul i2c_algo_bit crc32_pclmul drm_kms_helper crc32c_intel ghash_clmulni_intel sdhci_pci drm sdhci mmc_core video
CPU: 0 PID: 141 Comm: kworker/u16:5 Not tainted 4.2.3-300.fc23.x86_64 #1
Hardware name: Apple Inc. MacBookPro10,1/Mac-C3EC7CD22292981F, BIOS MBP101.88Z.00EE.B0A.1509111559 09/11/2015
Workqueue: thunderbolt tb_handle_hotplug [thunderbolt]
 0000000000000000 0000000035cf860f ffff88045965fc78 ffffffff81771fca
 0000000000000000 ffff88045965fcd0 ffff88045965fcb8 ffffffff8109e4a6
 ffff88045965fcd8 0000000000000000 ffff88045c5c5ed0 0000000000000000
Call Trace:
 [<ffffffff81771fca>] dump_stack+0x45/0x57
 [<ffffffff8109e4a6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109e535>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa04c7fff>] ? tb_wait_for_port+0x2ff/0x3e0 [thunderbolt]
 [<ffffffffa04c804f>] tb_wait_for_port+0x34f/0x3e0 [thunderbolt]
 [<ffffffff814cc62c>] ? __dev_printk+0x3c/0x80
 [<ffffffffa04c73bd>] tb_scan_port+0x5d/0x1a0 [thunderbolt]
 [<ffffffffa04c76ba>] tb_handle_hotplug+0x1ba/0x320 [thunderbolt]
 [<ffffffff810b64fe>] process_one_work+0x19e/0x3f0
 [<ffffffff810b679e>] worker_thread+0x4e/0x450
 [<ffffffff810b6750>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810bc8a8>] kthread+0xd8/0xf0
 [<ffffffff810bc7d0>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff81778d9f>] ret_from_fork+0x3f/0x70
 [<ffffffff810bc7d0>] ? kthread_worker_fn+0x160/0x160
Comment 4 Patrick Klingemann 2016-07-09 13:50:29 EDT
I'm running Fedora 24, so this appears to exist in both Fedora 23 and 24.
Comment 5 Laura Abbott 2016-09-23 15:55:46 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 6 Laura Abbott 2016-10-26 13:00:45 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.